[<prev] [next>] [thread-next>] [day] [month] [year] [list]
Message-Id: <157016600217.8022.346317009413291058.stgit@devnote2>
Date: Fri, 4 Oct 2019 14:13:22 +0900
From: Masami Hiramatsu <mhiramat@...nel.org>
To: Shuah Khan <shuah@...nel.org>
Cc: linux-kselftest@...r.kernel.org, linux-kernel@...r.kernel.org,
jaswinder.singh@...aro.org
Subject: [BUGFIX PATCH] selftests: Use real temporary working directory for archiving
Use real temporary working directory for generating kselftest
archive.
tools/testing/selftests/kselftest directory has been used for
the temporary working directory for making a tar archive from
gen_kselftest_tar.sh, and it removes the directory for cleanup.
However, since the kselftest directory became a part of the
repository, it must not be used as a working dir.
Introduce mktemp to prepare a temporary working directory
for archiving kselftests.
Signed-off-by: Masami Hiramatsu <mhiramat@...nel.org>
---
tools/testing/selftests/gen_kselftest_tar.sh | 8 ++++----
1 file changed, 4 insertions(+), 4 deletions(-)
diff --git a/tools/testing/selftests/gen_kselftest_tar.sh b/tools/testing/selftests/gen_kselftest_tar.sh
index a27e2eec3586..eba1e9987ffc 100755
--- a/tools/testing/selftests/gen_kselftest_tar.sh
+++ b/tools/testing/selftests/gen_kselftest_tar.sh
@@ -38,16 +38,16 @@ main()
esac
fi
- install_dir=./kselftest
+ tmpdir=`mktemp -d ./install-XXXXXX` || exit 1
# Run install using INSTALL_KSFT_PATH override to generate install
# directory
-./kselftest_install.sh
-tar $copts kselftest${ext} $install_dir
+./kselftest_install.sh $tmpdir
+tar $copts kselftest${ext} -C $tmpdir kselftest
echo "Kselftest archive kselftest${ext} created!"
# clean up install directory
-rm -rf kselftest
+rm -rf $tmpdir
}
main "$@"
Powered by blists - more mailing lists